{% extends 'base.html' %}

{% set templateName = 'login-form' %}

{% block body %}

<div class="container">
  <div id="login-form">
    <login-form />
  </div>
</div>

{% include 'vue/util.html' %}
{% raw %}
<script type="text/x-vue" name="login-form">
  <h2>Zaloguj się</h2>
  <p>
    <form-input :error="formErrors.login" @changed="clearError">
      <input class="form-control" type="text" name="login" placeholder="Użytkownik" v-model="formData.login" @keyup.enter="focusOnPassword" />
    </form-input>
    <form-input :error="formErrors.password" @changed="clearError">
      <input class="form-control" type="password" name="password" placeholder="Hasło" v-model="formData.password" @keyup.enter="logIn" />
    </form-input>
    <button class="btn btn-lg btn-primary btn-block" type="submit" @click="logIn" :disabled="locked">Zaloguj się</button>
  </p>
  <div class="error-message text-center text-danger" v-if="errorMessage">{{ errorMessage }}</div>
</script>
{% endraw %}
{% endblock %}

{% block footerScripts %}
{{ super() }}
<script src="{{ baseUrl }}/public/js/login-form.js?v={{ version }}"></script>
<script>
var Globals = {
  baseUrl: {{ baseUrl | dump }}
};
{% raw %}
new Vue({
  el: '#login-form'
});
{% endraw %}
</script>
{% endblock %}
